> For the complete documentation index, see [llms.txt](https://docs.clearfeed.ai/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clearfeed.ai/api/quick-start.md).

# Quick Start

## Get your API token

All API requests in ClearFeed are authenticated using an API token. Any request that doesn't include an API token will return Forbidden exception. You can generate an API token from the [Developer Settings](https://web.clearfeed.app/settings/developer-settings) section in the WebApp whenever needed. For additional details, please refer the following section.

{% content-ref url="/pages/UEqFn5bGL2oGo7vYrbGe" %}
[Authentication Guide](/api/quick-start/authentication-guide.md)
{% endcontent-ref %}

## Make your first request

Ready to get started? All you need to do is make an authenticated call to the requests endpoint for your first request. This nifty action fetches your account's requests and neatly presents them to you. Check out how it's done using the curl example below:

{% tabs %}
{% tab title="curl" %}

```bash
curl --request GET \
  --url 'https://api.clearfeed.app/v1/rest/requests' \
  --header 'Authorization: Bearer {{api_token}}'

```

{% endtab %}
{% endtabs %}

Kudos on your first API call! Dive into the detailed API reference for more.

{% content-ref url="/pages/Z01n2VaKf6s09nQW7zWX" %}
[API Reference](/api/reference/api-reference.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clearfeed.ai/api/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
